import * as React from 'react';
import { ComponentClass } from 'react';
import { TControlProps } from '../Control/Control';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { TSteppableInputProps } from '../SteppableInput/SteppableInput';
export declare const TIME_INPUT: symbol;
export declare type TTime = {
    hours: number;
    minutes: number;
};
export declare enum ActiveSection {
    Hours = 0,
    Minutes = 1
}
export declare type TTimeInputOwnProps = TSteppableInputProps & TControlProps<TTime | undefined | null>;
export declare type TTimeInputFullProps = TTimeInputOwnProps & {
    SteppableInput: React.ComponentClass<TSteppableInputProps> | React.SFC<TSteppableInputProps>;
    theme: {
        inner?: string;
        inner_isFilled?: string;
        section?: string;
        section_isActive?: string;
        separator?: string;
        SteppableInput?: TSteppableInputProps['theme'];
    };
};
export declare type TTimeInputState = {
    activeSection?: ActiveSection;
    hours?: number;
    minutes?: number;
};
export declare type TTimeInputProps = PartialKeys<TTimeInputFullProps, 'theme' | 'SteppableInput'>;
export declare const TimeInput: ComponentClass<TTimeInputProps>;
